ObjectEnvironmentGroup (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.afp.modca

## Class ObjectEnvironmentGroup

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.modca.AbstractStructuredObject
    - - org.apache.fop.afp.modca.AbstractTripletStructuredObject
      - - org.apache.fop.afp.modca.AbstractNamedAFPObject
        - - org.apache.fop.afp.modca.ObjectEnvironmentGroup

- All Implemented Interfaces:
    Streamable

      public final class ObjectEnvironmentGroup
      extends AbstractNamedAFPObject

  An Object Environment Group (OEG) may be associated with an object and is contained within the object's begin-end envelope. The object environment group defines the object's origin and orientation on the page, and can contain font and color attribute table information. The scope of an object environment group is the scope of its containing object. An application that creates a data-stream document may omit some of the parameters normally contained in the object environment group, or it may specify that one or more default values are to be used.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `AbstractAFPObject.Category, AbstractAFPObject.Type`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject

      `name`

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject

      `triplets`

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `LOG, SF_CLASS, SF_HEADER_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectEnvironmentGroup(String name)` Constructor for the ObjectEnvironmentGroup, this takes a name parameter which must be 8 characters long.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectAreaDescriptor` | `getObjectAreaDescriptor()` Returns the object area descriptor
    `void` | `setDataDescriptor(AbstractDescriptor dataDescriptor)` Sets the data descriptor
    `void` | `setMapContainerData(MapContainerData mapContainerData)` Sets the map container data
    `void` | `setMapDataResource(MapDataResource mapDataResource)` Sets the map data resource
    `void` | `setMapImageObject(MapImageObject mapImageObject)` Sets the Map Image Object (MIO).
    `void` | `setObjectAreaDescriptor(ObjectAreaDescriptor objectAreaDescriptor)` Sets the Object Area Descriptor
    `void` | `setObjectAreaPosition(ObjectAreaPosition objectAreaPosition)` Sets the Object Area Position
    `void` | `setPresentationEnvironmentControl(PresentationEnvironmentControl presentationEnvironmentControl)` Sets the presentation environment control
    `protected void` | `writeContent(OutputStream os)` Helper method to write the contents of the Object.
    `protected void` | `writeEnd(OutputStream os)` Helper method to write the end of the Object.
    `protected void` | `writeStart(OutputStream os)` Helper method to write the start of the Object.

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject

      `copySF, getName, getNameBytes, getNameLength, setName, toString`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject

      `addTriplet, addTriplets, getFullyQualifiedName, getTripletDataLength, getTriplets, hasTriplet, hasTriplets, setComment, setFullyQualifiedName, setFullyQualifiedName, setObjectClassification, writeTriplets`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractStructuredObject

      `writeToStream`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `copySF, truncate, writeChunksToStream, writeObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectEnvironmentGroup

          public ObjectEnvironmentGroup(String name)

      Constructor for the ObjectEnvironmentGroup, this takes a name parameter which must be 8 characters long.
      Parameters:
        `name` - the object environment group name

  - ### Method Detail

    - #### setObjectAreaDescriptor

          public void setObjectAreaDescriptor(ObjectAreaDescriptor objectAreaDescriptor)

      Sets the Object Area Descriptor
      Parameters:
        `objectAreaDescriptor` - the object area descriptor

    - #### setObjectAreaPosition

          public void setObjectAreaPosition(ObjectAreaPosition objectAreaPosition)

      Sets the Object Area Position
      Parameters:
        `objectAreaPosition` - the object area position

    - #### setMapImageObject

          public void setMapImageObject(MapImageObject mapImageObject)

      Sets the Map Image Object (MIO).
      Parameters:
        `mapImageObject` - the MIO structured field

    - #### writeStart

          protected void writeStart(OutputStream os)
                             throws IOException

      Helper method to write the start of the Object.
      Overrides:
        `writeStart` in class `AbstractStructuredObject`
      Parameters:
        `os` - The stream to write to
      Throws:
        `IOException` - throws an I/O exception if one occurred

    - #### writeContent

          protected void writeContent(OutputStream os)
                               throws IOException

      Helper method to write the contents of the Object.
      Overrides:
        `writeContent` in class `AbstractStructuredObject`
      Parameters:
        `os` - The stream to write to
      Throws:
        `IOException` - throws an I/O exception if one occurred

    - #### writeEnd

          protected void writeEnd(OutputStream os)
                           throws IOException

      Helper method to write the end of the Object.
      Overrides:
        `writeEnd` in class `AbstractStructuredObject`
      Parameters:
        `os` - The stream to write to
      Throws:
        `IOException` - an I/O exception if one occurred

    - #### setPresentationEnvironmentControl

          public void setPresentationEnvironmentControl(PresentationEnvironmentControl presentationEnvironmentControl)

      Sets the presentation environment control
      Parameters:
        `presentationEnvironmentControl` - the presentation environment control

    - #### setDataDescriptor

          public void setDataDescriptor(AbstractDescriptor dataDescriptor)

      Sets the data descriptor
      Parameters:
        `dataDescriptor` - the data descriptor

    - #### setMapDataResource

          public void setMapDataResource(MapDataResource mapDataResource)

      Sets the map data resource
      Parameters:
        `mapDataResource` - the map data resource

    - #### setMapContainerData

          public void setMapContainerData(MapContainerData mapContainerData)

      Sets the map container data
      Parameters:
        `mapContainerData` - the map container data

    - #### getObjectAreaDescriptor

          public ObjectAreaDescriptor getObjectAreaDescriptor()

      Returns the object area descriptor
      Returns:
        the object area descriptor

Copyright © 2025 Apache Software Foundation. All rights reserved.